<mx:Extension Category="windows.xbox.networking">
	<mx:XboxNetworkingManifest>
		<mx:SocketDescriptions>
			<mx:SocketDescription Name="GameChatSocket" SecureIpProtocol="Udp" BoundPort="43232">
				<mx:AllowedUsages>
					<mx:SecureDeviceSocketUsage Type="Initiate" />
					<mx:SecureDeviceSocketUsage Type="Accept" />
					<mx:SecureDeviceSocketUsage Type="SendChat" />
					<mx:SecureDeviceSocketUsage Type="ReceiveChat" />
				</mx:AllowedUsages>
			</mx:SocketDescription>
			<mx:SocketDescription Name="ConsoleServerSocket" SecureIpProtocol="Tcp" BoundPort="43211">
				<mx:AllowedUsages>
					<mx:SecureDeviceSocketUsage Type="Initiate" />
					<mx:SecureDeviceSocketUsage Type="SendGameData" />
					<mx:SecureDeviceSocketUsage Type="ReceiveGameData" />
					<mx:SecureDeviceSocketUsage Type="Accept" />
					<mx:SecureDeviceSocketUsage Type="SendChat" />
					<mx:SecureDeviceSocketUsage Type="ReceiveChat" />
				</mx:AllowedUsages>
			</mx:SocketDescription>
			<mx:SocketDescription Name="ConsoleClientSocket" SecureIpProtocol="Tcp" BoundPort="43210">
				<mx:AllowedUsages>
					<mx:SecureDeviceSocketUsage Type="Initiate" />
					<mx:SecureDeviceSocketUsage Type="SendGameData" />
					<mx:SecureDeviceSocketUsage Type="ReceiveGameData" />
					<mx:SecureDeviceSocketUsage Type="Accept" />
					<mx:SecureDeviceSocketUsage Type="SendChat" />
					<mx:SecureDeviceSocketUsage Type="ReceiveChat" />
				</mx:AllowedUsages>
			</mx:SocketDescription>
		</mx:SocketDescriptions>
		<mx:SecureDeviceAssociationTemplates>
			<mx:SecureDeviceAssociationTemplate
					Name="GameChatTraffic"
					InitiatorSocketDescription="GameChatSocket"
					AcceptorSocketDescription="GameChatSocket"
					MultiplayerSessionRequirement="None">
				<mx:AllowedUsages>
					<mx:SecureDeviceAssociationUsage Type="InitiateFromMicrosoftConsole" />
					<mx:SecureDeviceAssociationUsage Type="AcceptOnMicrosoftConsole" />
				</mx:AllowedUsages>
			</mx:SecureDeviceAssociationTemplate>
			<mx:SecureDeviceAssociationTemplate
					Name="PeerServerTraffic"
					InitiatorSocketDescription="ConsoleServerSocket"
					AcceptorSocketDescription="ConsoleClientSocket"
					MultiplayerSessionRequirement="None">
				<mx:AllowedUsages>
					<mx:SecureDeviceAssociationUsage Type="InitiateFromMicrosoftConsole" />
					<mx:SecureDeviceAssociationUsage Type="AcceptOnMicrosoftConsole" />
				</mx:AllowedUsages>
			</mx:SecureDeviceAssociationTemplate>
			<mx:SecureDeviceAssociationTemplate
					Name="PeerClientTraffic"
					InitiatorSocketDescription="ConsoleClientSocket"
					AcceptorSocketDescription="ConsoleServerSocket"
					MultiplayerSessionRequirement="None">
				<mx:AllowedUsages>
					<mx:SecureDeviceAssociationUsage Type="InitiateFromMicrosoftConsole" />
					<mx:SecureDeviceAssociationUsage Type="AcceptOnMicrosoftConsole" />
				</mx:AllowedUsages>
			</mx:SecureDeviceAssociationTemplate>
		</mx:SecureDeviceAssociationTemplates>
	</mx:XboxNetworkingManifest>
</mx:Extension>
